// 
// LipoMètre pour télémétrie Graupner Hott
// 
// Version 0.60
// juin 2015
//
// Auteur : www.thyzoon.fr 
//
// 2011-2015
//

//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
#include <EEPROM.h>    
#include "Message.h"
#include "Tension_Lipo.h"

// Def LED verte carte Arduino mini pro
#define LEDPIN_PINMODE          pinMode (13, OUTPUT);
#define LEDPIN_SWITCH           PINB |= 1<<5;     //switch LEDPIN state (digital PIN 13)
#define LEDPIN_OFF              PORTB &= ~(1<<5);
#define LEDPIN_ON               PORTB |= (1<<5);

// Baudrate UART
#define SERIAL_COM_SPEED 		19200

// 
GMessage message;
TensionLipo tension;

// Init
void setup() {
  // Init communications 
  message.init();

  tension.begin ();
  
  LEDPIN_PINMODE
  LEDPIN_OFF 
}

// Boucle pricipale
void loop() {
    message.main();
}
